summaryrefslogtreecommitdiff
path: root/bin/lazar-stop.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/lazar-stop.sh')
-rwxr-xr-xbin/lazar-stop.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/lazar-stop.sh b/bin/lazar-stop.sh
new file mode 100755
index 0000000..26de413
--- /dev/null
+++ b/bin/lazar-stop.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#R CMD Rserve
+#sudo mongod
+#unicorn -p 8088 -E production
+
+RETVAL=0
+
+stop() {
+ grep_mongo=`ps aux | grep -v grep | grep mongod`
+ if [ ${#grep_mongo} -gt 0 ]
+ then
+ echo "Stop MongoDB."
+ PID=`ps ax | grep -v grep | grep mongod | awk '{ print $1 }'`
+ for i in "${PID}"
+ do
+ `sudo kill -2 $i`
+ done
+ RETVAL=$?
+ else
+ echo "MongoDB is not running."
+ fi
+}
+
+exit $RETVAL